RUcore Server Software Upgrades 8.1

First released: Tue, 03/01/2016 - 10:22

8.1 for RUcore

Comments

Software to be upgraded

Software to be upgraded
-------------------------

- Suse SLES 11 SP3 to SP4

- PHP upgrade 5.4.43 to 5.6.18

- needed to recompile php extensions for clamav.so, solr.so
- libldap, libiber, libcurl, libsasl2
are all compiled against openssl 1.0.0 (instead of 0.9.8)

- Fedora 3.6.2 to 3.8.1

- Required JAVA 8: installed Oracle version at:
/mellon/java -> jdk1.8.0_74/
/mellon/jdk1.8.0_74

- Problems starting server. Got help from fedora list server
Needed to update some xacml related entries in fedora.fcfg
(the classes used had changed in Fedora 7)

- Updated entries in /mellon/includes/incs for FEDORA* from 3.6.2 to 3.8.1

- mediainfo (done 2/20/16)
GUI v0.7.82 requires libmediainfo0
CLI v0.7.82 requires libmediainfo0
libmediainfo0 v0.7.82 (devel) requires libzen0
libzen0 v0.4.32 (devel)

- downloaded and installed SLES 11 SP4 binaries/rpms

- ImageMagick
Current Version: ImageMagick 6.4.3 2014-11-18 Q16
Need at least version 6.4.7-10
Newest version is 6.9.3-5
No binary for Suse - will need to compile from Source

- Downloaded ImageMagick-6.9.3-5.tar and compiled
- problems with a -lSM library
- needed to copy
cp libMagickCore-6.Q16.so.2 /lib64
cp -p libMagickWand-6.Q16.so.2 /lib64

- Changed references in /mellon/includes/incs and dwms_config.php
to use the new version

- Installed imagemagick 3.3.0 PHP pecl extension

Back to top